.testimonial-card {
	display: flex;
	flex-wrap: wrap;
}

.testimonial-card__author-info {
	& cite {
		font-style: normal;
	}
}

p.testimonial-card__title {
	@mixin large-text;

	margin: 0;
	font-weight: var(--font-bold);
}

.testimonials--preset-default,
.testimonials--preset-theme,
.testimonials--preset-4,
.testimonials--preset-5,
.testimonials--preset-6 {
	& .testimonial-card__image-wrapper {
		width: 60px;
		border-radius: 50%;
		overflow: hidden;
	}

	& .testimonial-card__icon.is-close {
		position: absolute;
		bottom: 0;
		right: 0;
	}
}

.testimonials--preset-1 {
	& .testimonial-card__author {
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		margin-top: 1em;
	}

	& .testimonial-card__image-wrapper {
		width: 60px;
		border-radius: 50%;
		overflow: hidden;
	}

	& .testimonial-card__author-info {
		flex: 1 1 0;
		padding-left: 20px;
		line-height: 1.5;

		& p {
			margin: 0;
			font-weight: var(--font-bold);
		}

		& cite {
			margin-top: 0.25em;
			font-style: normal;
			font-size: 0.85rem;
		}
	}

	& .testimonial-card__inner {
		padding: 0 15px;
	}

	& .testimonial-card__icon {
		@mixin icon 20px;

		position: absolute;

		&.is-open {
			top: 0;
			left: 0;
		}

		&.is-close {
			bottom: 0;
			right: 0;
		}
	}

	& .testimonial-card {
		padding: 0 15px;
	}

	&.testimonials--slider {
		& .flickity-prev-next-button {
			transform: translateY(-60px);
		}
	}
}

.testimonials--preset-2 {
	& .testimonial-card__icon {
		display: none;
	}

	& .testimonial-card__title {
		position: absolute;
		top: -10px;
		left: 35px;
		max-width: calc(100% - 70px);
		margin-bottom: 0.25em;
		padding: 5px 15px;
		background: var(--primary);
		color: var(--white);
		border-radius: var(--border-radius);
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-line-clamp: 1;
		-webkit-box-orient: vertical;
	}

	& .testimonial-card__inner {
		position: relative;
		margin-top: 15px;
		padding: 30px 35px;
		border-radius: 5px;
		background-color: rgba(0, 0, 0, 0.08);

		&::before {
			content: '';
			position: absolute;
			border-width: 15px;
			border-style: solid;
			border-color: rgba(0, 0, 0, 0.08) transparent transparent;
			top: 100%;
			left: 45px;
			z-index: 1;
		}
	}

	& .testimonial-card__author {
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		margin-top: 25px;
		padding-left: 30px;
	}

	& .testimonial-card__author-info {
		flex: 1 1 0;
		padding-left: 20px;
		line-height: 1.5;

		& p {
			margin: 0;
			font-weight: var(--font-bold);
		}

		& cite {
			margin-top: 0.25em;
			font-style: normal;
			font-size: 0.85rem;
		}
	}

	& .testimonial-card__image-wrapper {
		width: 60px;
		border-radius: 50%;
		overflow: hidden;
	}

	&.testimonials--slider {
		& .flickity-prev-next-button {
			transform: translateY(-70px);
		}
	}
}

.testimonials--preset-3 {
	& .testimonial-card {
		margin-top: 50px;
		padding: 50px 15px 15px 15px;
		border: 1px solid var(--light);
	}

	&.bg-light {
		& .testimonial-card__image-wrapper,
		& .testimonial-card {
			border-color: var(--gray);
		}
	}

	& .testimonial-card__author {
		text-align: center;
	}

	& .testimonial-card__image-wrapper {
		width: 100px;
		position: absolute;
		top: -40px;
		left: 50%;
		transform: translateX(-50%);
		border: 3px solid var(--light);
		border-radius: 50%;
		overflow: hidden;
	}

	& .testimonial-card__author-info {
		color: var(--primary);
		font-weight: var(--font-bold);

		& cite {
			color: var(--dark);
			font-weight: var(--font-normal);
		}
	}

	& .testimonial-card__icon.is-close {
		display: none;
	}
}

.testimonials--slider {
	@mixin slider-button-circle;
	@mixin slider-dots-square;

	& .testimonials__slider {
		padding-bottom: 2em;

		&.is-initialized {
			& .testimonials__slider-item {
				min-height: 100%;
				display: flex;
				flex-direction: column;
			}
		}
	}

	& .flickity-page-dots {
		bottom: 0;
	}

	& .testimonials__slider-item {
		width: 100%;
	}

	& .testimonial-card {
		flex: 1 0 auto;
		flex-direction: column;
	}

	& .testimonial-card__comment {
		display: flex;
		flex-direction: column;
		flex: 1 1 0;
	}

	& .testimonial-card__inner {
		flex: 1 1 0;
	}

	& .flickity-prev-next-button {
		display: none;
		box-shadow: 0 0 10px 0 var(--gray);

		@media (--ml) {
			display: block;

			&.previous {
				left: -50px;
			}

			&.next {
				right: -50px;
			}
		}
	}

	@media (--s) {
		&.has-2-columns {
			& .testimonials__slider-item {
				width: calc((100% - var(--grid-gutter-m) * 1) / 2);
				margin-right: var(--grid-gutter-m);
			}
		}

		&.has-3-columns {
			& .testimonials__slider-item {
				width: calc((100% - var(--grid-gutter-m) * 2) / 3);
				margin-right: var(--grid-gutter-m);
			}
		}

		&.has-4-columns {
			& .testimonials__slider-item {
				width: calc((100% - var(--grid-gutter-m) * 3) / 4);
				margin-right: var(--grid-gutter-m);
			}
		}

		&.has-5-columns {
			& .testimonials__slider-item {
				width: calc((100% - var(--grid-gutter-m) * 4) / 5);
				margin-right: var(--grid-gutter-m);
			}
		}
	}
}
